<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
    <!-- Generated by javadoc -->
    <title>FormatTrackingHSSFListener (POI API Documentation)</title>
    <link rel="stylesheet" type="text/css" href="../../../../../stylesheet.css" title="Style">
    <script type="text/javascript" src="../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="FormatTrackingHSSFListener (POI API Documentation)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":10,"i2":10,"i3":10,"i4":10,"i5":10,"i6":10,"i7":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";

</script>
<noscript>
    <div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.top.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li class="navBarCell1Rev">Class</li>
        <li><a href="class-use/FormatTrackingHSSFListener.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li>
            <a href="../../../../../org/apache/poi/hssf/eventusermodel/EventWorkbookBuilder.SheetRecordCollectingListener.html"
               title="class in org.apache.poi.hssf.eventusermodel"><span class="typeNameLink">Prev&nbsp;Class</span></a>
        </li>
        <li><a href="../../../../../org/apache/poi/hssf/eventusermodel/HSSFEventFactory.html"
               title="class in org.apache.poi.hssf.eventusermodel"><span class="typeNameLink">Next&nbsp;Class</span></a>
        </li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../index.html?org/apache/poi/hssf/eventusermodel/FormatTrackingHSSFListener.html"
               target="_top">Frames</a></li>
        <li><a href="FormatTrackingHSSFListener.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_top">
        <li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <div>
        <ul class="subNavList">
            <li>Summary:&nbsp;</li>
            <li>Nested&nbsp;|&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.summary">Method</a></li>
        </ul>
        <ul class="subNavList">
            <li>Detail:&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.detail">Method</a></li>
        </ul>
    </div>
    <a name="skip.navbar.top">
        <!--   -->
    </a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
    <div class="subTitle">org.apache.poi.hssf.eventusermodel</div>
    <h2 title="Class FormatTrackingHSSFListener" class="title">Class FormatTrackingHSSFListener</h2>
</div>
<div class="contentContainer">
    <ul class="inheritance">
        <li>java.lang.Object</li>
        <li>
            <ul class="inheritance">
                <li>org.apache.poi.hssf.eventusermodel.FormatTrackingHSSFListener</li>
            </ul>
        </li>
    </ul>
    <div class="description">
        <ul class="blockList">
            <li class="blockList">
                <dl>
                    <dt>All Implemented Interfaces:</dt>
                    <dd><a href="../../../../../org/apache/poi/hssf/eventusermodel/HSSFListener.html"
                           title="interface in org.apache.poi.hssf.eventusermodel">HSSFListener</a></dd>
                </dl>
                <hr>
                <br>
                <pre>public class <span class="typeNameLabel">FormatTrackingHSSFListener</span>
extends java.lang.Object
implements <a href="../../../../../org/apache/poi/hssf/eventusermodel/HSSFListener.html"
              title="interface in org.apache.poi.hssf.eventusermodel">HSSFListener</a></pre>
                <div class="block">A proxy HSSFListener that keeps track of the document formatting records, and
                    provides an easy way to look up the format strings used by cells from their
                    ids.
                </div>
            </li>
        </ul>
    </div>
    <div class="summary">
        <ul class="blockList">
            <li class="blockList">
                <!-- ======== CONSTRUCTOR SUMMARY ======== -->
                <ul class="blockList">
                    <li class="blockList"><a name="constructor.summary">
                        <!--   -->
                    </a>
                        <h3>Constructor Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Constructor Summary table, listing constructors, and an explanation">
                            <caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
                            <tr>
                                <th class="colOne" scope="col">Constructor and Description</th>
                            </tr>
                            <tr class="altColor">
                                <td class="colOne"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/eventusermodel/FormatTrackingHSSFListener.html#FormatTrackingHSSFListener-org.apache.poi.hssf.eventusermodel.HSSFListener-">FormatTrackingHSSFListener</a></span>(<a
                                        href="../../../../../org/apache/poi/hssf/eventusermodel/HSSFListener.html"
                                        title="interface in org.apache.poi.hssf.eventusermodel">HSSFListener</a>&nbsp;childListener)</code>
                                    <div class="block">Creates a format tracking wrapper around the given listener,
                                        using
                                        the <code>default locale</code> for the formats.
                                    </div>
                                </td>
                            </tr>
                            <tr class="rowColor">
                                <td class="colOne"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/eventusermodel/FormatTrackingHSSFListener.html#FormatTrackingHSSFListener-org.apache.poi.hssf.eventusermodel.HSSFListener-java.util.Locale-">FormatTrackingHSSFListener</a></span>(<a
                                        href="../../../../../org/apache/poi/hssf/eventusermodel/HSSFListener.html"
                                        title="interface in org.apache.poi.hssf.eventusermodel">HSSFListener</a>&nbsp;childListener,
                                    java.util.Locale&nbsp;locale)</code>
                                    <div class="block">Creates a format tracking wrapper around the given listener,
                                        using
                                        the given locale for the formats.
                                    </div>
                                </td>
                            </tr>
                        </table>
                    </li>
                </ul>
                <!-- ========== METHOD SUMMARY =========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="method.summary">
                        <!--   -->
                    </a>
                        <h3>Method Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Method Summary table, listing methods, and an explanation">
                            <caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span
                                    id="t2" class="tableTab"><span><a
                                    href="javascript:show(2);">Instance Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a
                                    href="javascript:show(8);">Concrete Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span></caption>
                            <tr>
                                <th class="colFirst" scope="col">Modifier and Type</th>
                                <th class="colLast" scope="col">Method and Description</th>
                            </tr>
                            <tr id="i0" class="altColor">
                                <td class="colFirst"><code>java.lang.String</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/eventusermodel/FormatTrackingHSSFListener.html#formatNumberDateCell-org.apache.poi.hssf.record.CellValueRecordInterface-">formatNumberDateCell</a></span>(<a
                                        href="../../../../../org/apache/poi/hssf/record/CellValueRecordInterface.html"
                                        title="interface in org.apache.poi.hssf.record">CellValueRecordInterface</a>&nbsp;cell)</code>
                                    <div class="block">Formats the given numeric of date cells contents as a String, in
                                        as
                                        close as we can to the way that Excel would do so.
                                    </div>
                                </td>
                            </tr>
                            <tr id="i1" class="rowColor">
                                <td class="colFirst"><code>int</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/eventusermodel/FormatTrackingHSSFListener.html#getFormatIndex-org.apache.poi.hssf.record.CellValueRecordInterface-">getFormatIndex</a></span>(<a
                                        href="../../../../../org/apache/poi/hssf/record/CellValueRecordInterface.html"
                                        title="interface in org.apache.poi.hssf.record">CellValueRecordInterface</a>&nbsp;cell)</code>
                                    <div class="block">Returns the index of the format string, used by your cell, or -1
                                        if none found
                                    </div>
                                </td>
                            </tr>
                            <tr id="i2" class="altColor">
                                <td class="colFirst"><code>java.lang.String</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/eventusermodel/FormatTrackingHSSFListener.html#getFormatString-org.apache.poi.hssf.record.CellValueRecordInterface-">getFormatString</a></span>(<a
                                        href="../../../../../org/apache/poi/hssf/record/CellValueRecordInterface.html"
                                        title="interface in org.apache.poi.hssf.record">CellValueRecordInterface</a>&nbsp;cell)</code>
                                    <div class="block">Returns the format string, eg $##.##, used by your cell</div>
                                </td>
                            </tr>
                            <tr id="i3" class="rowColor">
                                <td class="colFirst"><code>java.lang.String</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/eventusermodel/FormatTrackingHSSFListener.html#getFormatString-int-">getFormatString</a></span>(int&nbsp;formatIndex)</code>
                                    <div class="block">Returns the format string, eg $##.##, for the given number format
                                        index.
                                    </div>
                                </td>
                            </tr>
                            <tr id="i4" class="altColor">
                                <td class="colFirst"><code>protected int</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/eventusermodel/FormatTrackingHSSFListener.html#getNumberOfCustomFormats--">getNumberOfCustomFormats</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i5" class="rowColor">
                                <td class="colFirst"><code>protected int</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/eventusermodel/FormatTrackingHSSFListener.html#getNumberOfExtendedFormats--">getNumberOfExtendedFormats</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i6" class="altColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/eventusermodel/FormatTrackingHSSFListener.html#processRecord-org.apache.poi.hssf.record.Record-">processRecord</a></span>(<a
                                        href="../../../../../org/apache/poi/hssf/record/Record.html"
                                        title="class in org.apache.poi.hssf.record">Record</a>&nbsp;record)</code>
                                    <div class="block">Process this record ourselves, and then pass it on to our child
                                        listener
                                    </div>
                                </td>
                            </tr>
                            <tr id="i7" class="rowColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/eventusermodel/FormatTrackingHSSFListener.html#processRecordInternally-org.apache.poi.hssf.record.Record-">processRecordInternally</a></span>(<a
                                        href="../../../../../org/apache/poi/hssf/record/Record.html"
                                        title="class in org.apache.poi.hssf.record">Record</a>&nbsp;record)</code>
                                    <div class="block">Process the record ourselves, but do not pass it on to the child
                                        Listener.
                                    </div>
                                </td>
                            </tr>
                        </table>
                        <ul class="blockList">
                            <li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
                                <!--   -->
                            </a>
                                <h3>Methods inherited from class&nbsp;java.lang.Object</h3>
                                <code>clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait,
                                    wait, wait</code></li>
                        </ul>
                    </li>
                </ul>
            </li>
        </ul>
    </div>
    <div class="details">
        <ul class="blockList">
            <li class="blockList">
                <!-- ========= CONSTRUCTOR DETAIL ======== -->
                <ul class="blockList">
                    <li class="blockList"><a name="constructor.detail">
                        <!--   -->
                    </a>
                        <h3>Constructor Detail</h3>
                        <a name="FormatTrackingHSSFListener-org.apache.poi.hssf.eventusermodel.HSSFListener-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>FormatTrackingHSSFListener</h4>
                                <pre>public&nbsp;FormatTrackingHSSFListener(<a
                                        href="../../../../../org/apache/poi/hssf/eventusermodel/HSSFListener.html"
                                        title="interface in org.apache.poi.hssf.eventusermodel">HSSFListener</a>&nbsp;childListener)</pre>
                                <div class="block">Creates a format tracking wrapper around the given listener, using
                                    the <code>default locale</code> for the formats.
                                </div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>childListener</code> - the listener to be wrapped</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="FormatTrackingHSSFListener-org.apache.poi.hssf.eventusermodel.HSSFListener-java.util.Locale-">
                            <!--   -->
                        </a>
                        <ul class="blockListLast">
                            <li class="blockList">
                                <h4>FormatTrackingHSSFListener</h4>
                                <pre>public&nbsp;FormatTrackingHSSFListener(<a
                                        href="../../../../../org/apache/poi/hssf/eventusermodel/HSSFListener.html"
                                        title="interface in org.apache.poi.hssf.eventusermodel">HSSFListener</a>&nbsp;childListener,
                                  java.util.Locale&nbsp;locale)</pre>
                                <div class="block">Creates a format tracking wrapper around the given listener, using
                                    the given locale for the formats.
                                </div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>childListener</code> - the listener to be wrapped</dd>
                                    <dd><code>locale</code> - the locale for the formats</dd>
                                </dl>
                            </li>
                        </ul>
                    </li>
                </ul>
                <!-- ============ METHOD DETAIL ========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="method.detail">
                        <!--   -->
                    </a>
                        <h3>Method Detail</h3>
                        <a name="getNumberOfCustomFormats--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getNumberOfCustomFormats</h4>
                                <pre>protected&nbsp;int&nbsp;getNumberOfCustomFormats()</pre>
                            </li>
                        </ul>
                        <a name="getNumberOfExtendedFormats--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getNumberOfExtendedFormats</h4>
                                <pre>protected&nbsp;int&nbsp;getNumberOfExtendedFormats()</pre>
                            </li>
                        </ul>
                        <a name="processRecord-org.apache.poi.hssf.record.Record-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>processRecord</h4>
                                <pre>public&nbsp;void&nbsp;processRecord(<a
                                        href="../../../../../org/apache/poi/hssf/record/Record.html"
                                        title="class in org.apache.poi.hssf.record">Record</a>&nbsp;record)</pre>
                                <div class="block">Process this record ourselves, and then pass it on to our child
                                    listener
                                </div>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/hssf/eventusermodel/HSSFListener.html#processRecord-org.apache.poi.hssf.record.Record-">processRecord</a></code>&nbsp;in
                                        interface&nbsp;<code><a
                                                href="../../../../../org/apache/poi/hssf/eventusermodel/HSSFListener.html"
                                                title="interface in org.apache.poi.hssf.eventusermodel">HSSFListener</a></code>
                                    </dd>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>record</code> - the record to be processed</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="processRecordInternally-org.apache.poi.hssf.record.Record-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>processRecordInternally</h4>
                                <pre>public&nbsp;void&nbsp;processRecordInternally(<a
                                        href="../../../../../org/apache/poi/hssf/record/Record.html"
                                        title="class in org.apache.poi.hssf.record">Record</a>&nbsp;record)</pre>
                                <div class="block">Process the record ourselves, but do not pass it on to the child
                                    Listener.
                                </div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>record</code> - the record to be processed</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="formatNumberDateCell-org.apache.poi.hssf.record.CellValueRecordInterface-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>formatNumberDateCell</h4>
                                <pre>public&nbsp;java.lang.String&nbsp;formatNumberDateCell(<a
                                        href="../../../../../org/apache/poi/hssf/record/CellValueRecordInterface.html"
                                        title="interface in org.apache.poi.hssf.record">CellValueRecordInterface</a>&nbsp;cell)</pre>
                                <div class="block">Formats the given numeric of date cells contents as a String, in as
                                    close as we can to the way that Excel would do so. Uses the various
                                    format records to manage this.

                                    TODO - move this to a central class in such a way that hssf.usermodel can
                                    make use of it too
                                </div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>cell</code> - the cell</dd>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>the given numeric of date cells contents as a String</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getFormatString-int-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getFormatString</h4>
                                <pre>public&nbsp;java.lang.String&nbsp;getFormatString(int&nbsp;formatIndex)</pre>
                                <div class="block">Returns the format string, eg $##.##, for the given number format
                                    index.
                                </div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>formatIndex</code> - the format index</dd>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>the format string</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getFormatString-org.apache.poi.hssf.record.CellValueRecordInterface-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getFormatString</h4>
                                <pre>public&nbsp;java.lang.String&nbsp;getFormatString(<a
                                        href="../../../../../org/apache/poi/hssf/record/CellValueRecordInterface.html"
                                        title="interface in org.apache.poi.hssf.record">CellValueRecordInterface</a>&nbsp;cell)</pre>
                                <div class="block">Returns the format string, eg $##.##, used by your cell</div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>cell</code> - the cell</dd>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>the format string</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getFormatIndex-org.apache.poi.hssf.record.CellValueRecordInterface-">
                            <!--   -->
                        </a>
                        <ul class="blockListLast">
                            <li class="blockList">
                                <h4>getFormatIndex</h4>
                                <pre>public&nbsp;int&nbsp;getFormatIndex(<a
                                        href="../../../../../org/apache/poi/hssf/record/CellValueRecordInterface.html"
                                        title="interface in org.apache.poi.hssf.record">CellValueRecordInterface</a>&nbsp;cell)</pre>
                                <div class="block">Returns the index of the format string, used by your cell, or -1 if
                                    none found
                                </div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>cell</code> - the cell</dd>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>the index of the format string</dd>
                                </dl>
                            </li>
                        </ul>
                    </li>
                </ul>
            </li>
        </ul>
    </div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.bottom.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li class="navBarCell1Rev">Class</li>
        <li><a href="class-use/FormatTrackingHSSFListener.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li>
            <a href="../../../../../org/apache/poi/hssf/eventusermodel/EventWorkbookBuilder.SheetRecordCollectingListener.html"
               title="class in org.apache.poi.hssf.eventusermodel"><span class="typeNameLink">Prev&nbsp;Class</span></a>
        </li>
        <li><a href="../../../../../org/apache/poi/hssf/eventusermodel/HSSFEventFactory.html"
               title="class in org.apache.poi.hssf.eventusermodel"><span class="typeNameLink">Next&nbsp;Class</span></a>
        </li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../index.html?org/apache/poi/hssf/eventusermodel/FormatTrackingHSSFListener.html"
               target="_top">Frames</a></li>
        <li><a href="FormatTrackingHSSFListener.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_bottom">
        <li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <div>
        <ul class="subNavList">
            <li>Summary:&nbsp;</li>
            <li>Nested&nbsp;|&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.summary">Method</a></li>
        </ul>
        <ul class="subNavList">
            <li>Detail:&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.detail">Method</a></li>
        </ul>
    </div>
    <a name="skip.navbar.bottom">
        <!--   -->
    </a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy">
    <small>
        <i>Copyright 2018 The Apache Software Foundation or
            its licensors, as applicable.</i>
    </small>
</p>
</body>
</html>
